<!--
function isCharsInBag(inputchar, bagchar)
{ 
  var ii,cc;
  for (ii = 0; ii < inputchar.length; ii++)
  { 
  cc = inputchar.charAt(ii);//字符串inputchar中的字符
    if (bagchar.indexOf(cc) > -1)
    {
      return "no";
    }
    else
    {
      return "yes";
    }
  }
}

function per_true()
{
  var errorcharname="><,[>{}?/+=|\\'\":;~!#$%()`@"
  var errorcharnum="0123456789"

  if (per_frm.iname.value=="")
  {
    alert("请输入您的 真实姓名 ！");
    per_frm.iname.focus();
    return false;
  }
  if (per_frm.code.value=="" || per_frm.code.value.length<15 )
  {
    alert("请输入您的 身份证号码 并且不少于15位！");
    per_frm.code.focus();
    return false;
  }
  if ( per_frm.bday.value=="" )
  {
    alert("请输入您的 出生日期！/n/n例：1999/01/01");
    per_frm.bday.focus();
    return false;
  }
  if (per_frm.nianling.value=="")
  {
    alert("请输入您的 年龄 ！");
    per_frm.nianling.focus();
    return false;
  }
  if (per_frm.zym.value=="")
  {
    alert("请输入您的 专业名称 ！");
    per_frm.zym.focus();
    return false;
  }
  if (per_frm.school.value=="")
  {
    alert("请输入您的 毕业院校 ！");
    per_frm.school.focus();
    return false;
  }
  if (per_frm.byday.value=="")
  {
    alert("请输入您的 毕业日期 ！");
    per_frm.byday.focus();
    return false;
  }
  if (per_frm.gzjl.value=="" || per_frm.gzjl.value.length>1000 || per_frm.gzjl.value.length<20 )
  {
    alert("请输入 个人详细工作经历 并且 不少于20字 不大于1000字 ！");
    per_frm.gzjl.focus();
    return false;
  }
  var wr_gznum=per_frm.gznum.value
  var errorgznum=isCharsInBag(wr_gznum,errorcharnum)
  if (wr_gznum=="" || errorgznum=="yes")
  {
    alert("相关工作经验年数不能为空并只能是数字！\n\n请重新输入。");
    per_frm.gznum.focus();
    return false;
  }
  if (per_frm.job.value=="")
  {
    alert("请选择您的 求职意向 ！");
    per_frm.job.focus();
    return false;
  }
  if (per_frm.jobs.value=="")
  {
    alert("请输入您的 职位名称 ！");
    per_frm.jobs.focus();
    return false;
  }
  if (per_frm.cname.value=="")
  {
    alert("请输入 联系人姓名 ！");
    per_frm.cname.focus();
    return false;
  }
  if (per_frm.address.value=="")
  {
    alert("请输入 通讯地址 ！");
    per_frm.address.focus();
    return false;
  }
  var wr_posts=per_frm.posts.value
  var errorposts=isCharsInBag(wr_posts,errorcharnum)
  if (wr_posts=="" || per_frm.posts.value.length<6 || errorposts=="yes")
  {
    alert("邮政编码不能为空，请输入不少于6位的数字！");
    per_frm.posts.focus();
    return false;
  }
  var wr_phone=per_frm.phone.value
  var errorphone=isCharsInBag(wr_phone,errorcharnum)
  if (wr_phone=="" || errorphone=="yes")
  {
    alert("联系电话不能为空，并只能为数字！\n\n请重新输入！");
    per_frm.phone.focus();
    return false;
  }
  var wr_email=per_frm.email.value
  if(wr_email=="")
  {
    alert("请输入Email地址！");
	per_frm.email.focus();
	return false;
  }
  else
  {
	var AtSym = wr_email.indexOf('@')
	var Period = wr_email.lastIndexOf('.') 
	var Space = wr_email.indexOf(' ') 
	var Length = wr_email.length - 1
	if ((AtSym < 1) || (Period <= AtSym+1) || (Period == Length ) || (Space != -1))
	{
	alert('你的 eMail地址 格式不对！\r\n请重新输入。');
	per_frm.email.focus();
	return false;
	}
  }
}
-->